Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ide
Class ExtendedResourceLoader

    java.lang.Object
      org.eclipse.emf.mwe.core.resources.AbstractResourceLoader
          org.eclipse.emf.mwe.core.resources.ResourceLoaderDefaultImpl
              org.eclipse.amp.amf.gen.ide.ExtendedResourceLoader

All Implemented Interfaces:
  org.eclipse.emf.mwe.core.resources.ResourceLoader

    public class ExtendedResourceLoader

extends org.eclipse.emf.mwe.core.resources.ResourceLoaderDefaultImpl

Allows URLs to be added to resource loaders. todo this class doesn't seem to be doing anything anymore.. delete?

Author:
  milesparker

Constructor Summary
`ExtendedResourceLoader()`

Method Summary
`void` | `addProject(org.eclipse.core.resources.IProject project)` Builds a classloader for a Java project from the workspace.
`void` | `addURL(java.net.URL url)` Builds a classloader for a Java project from the workspace.

Methods inherited from class org.eclipse.emf.mwe.core.resources.ResourceLoaderDefaultImpl
`getResource, getResourceAsStream, loadClass, tryLoadClass`

Methods inherited from class org.eclipse.emf.mwe.core.resources.AbstractResourceLoader
`internalLoadClass, loadFromContextClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedResourceLoader

    public ExtendedResourceLoader()
                           throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

Method Detail

### addProject

    public void addProject(org.eclipse.core.resources.IProject project)
                    throws org.eclipse.core.runtime.CoreException

  Builds a classloader for a Java project from the workspace.

  Parameters:
    `project` - An Eclipse project
  Throws:
    `org.eclipse.core.runtime.CoreException`

### addURL

    public void addURL(java.net.URL url)
                throws org.eclipse.core.runtime.CoreException

  Builds a classloader for a Java project from the workspace.

  Parameters:
    `project` - An Eclipse project
  Throws:
    `org.eclipse.core.runtime.CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD